## galapi
Class GalapiException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              galapi.GalapiException

All Implemented Interfaces:
  java.io.Serializable

public class GalapiException
extends java.lang.Exception

The `GalapiException` provides a primitive way of being informed when an error occurs. For each error there is an associated message which explains its cause.

See Also:
  Serialized Form

Constructor Summary
`GalapiException()`
`GalapiException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GalapiException

    public GalapiException()

### GalapiException

    public GalapiException(java.lang.String message)